@extends('layouts.crusher')
@section('content')





    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Expense Master</h6>
                        </div>
                        <div class="col-md-6">
                            <a href="" >
                                <button class="btn btn-outline-primary float-right cust-btn1" type="submit" onclick="printPageArea('printableArea')">Print Document
                                </button>
                            </a>
                            <a href="">
                                <button class="btn btn-outline-primary float-right" type="submit">Back
                                </button>
                            </a>
                        </div>
                    </div>

                    <div class="row" id="printableArea">
                        <div class="col-md-3">
                            <label>Account Opening Balance :</label>
                            <span>{{$expense->opening_balance}}</span>
                        </div>

                        <div class="col-md-3">
                            <label>Debit/Credit :</label>
                            <span>{{$expense->type}}</span>
                        </div>

                        <div class="col-md-3">
                            <label>Date :</label>
                            <span>{{$expense->date}}</span>
                        </div>

                        <div class="col-md-3">
                            <label>Account Name</label>
                            <span>{{$expense->account_name}}</span>
                        </div>

                        <div class="col-md-3">
                            <label class="control-label">Class Of Account</label>
                            <span>{{$expense->class_of_account_id}}</span>
                        </div>
                        <div class="col-md-3">
                            <label class="control-label">Maintain Account</label>
                            <span>{{$expense->maintain_account}}</span>
                        </div>
                    </div>
                    <br>

                    <div class="row">
                        <div class="col-md-12">
                            <label>Description :</label>
                            <p>{{$expense->description}}</p>
                        </div>

                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
<!-- end row -->

<script>
    function printPageArea(areaID) {
        var printContent = document.getElementById(areaID).innerHTML;
        var originalContent = document.body.innerHTML;
        document.body.innerHTML = printContent;
        window.print();
        document.body.innerHTML = originalContent;
    }
</script>
@endsection
