@extends('layouts.crusher')
@section('content')




    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Gate Pass Master</h6>
                        </div>
                        <div class="col-md-6">
                            <!-- <a href="client-add-Itemname-transfer.html" >
                                <button class="btn btn-cust1 float-right cust-btn1" type="submit">Create Item
                                    Name Transfer
                                </button>
                            </a> -->
                            <a href="{{url('master/gatepass_master/create')}}">
                                <button class="btn btn-cust1 float-right" type="submit">Create Gat Pass
                                </button>
                            </a>
                        </div>
                    </div>

                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                        <table id="datatable" class="table table-bordered nowrap table-striped"
                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                                <tr>
                                    <th>Vehicle Type</th>
                                    <th>CBM</th>
                                    <th>Item Unit CBM</th>
                                    <th>Action</th>
                                </tr>
                            </thead>

                            <tbody>
                                @foreach ($gatepass as $gatepas)
                                <tr>
                                    <td>{{$gatepas->vehical_type}}</td>
                                    <td>{{$gatepas->cbm}}</td>
                                    <td>{{$gatepas->item_unit}}</td>
                                    <td>
                                        <a href="{{url("master/gatepass_master/view/$gatepas->id")}}">
                                            <i class="far fa-eye cust-icon2"></i></a>
                                        <a href="{{url("master/gatepass_master/edit/$gatepas->id")}}">
                                            <i class="far fa-edit cust-icon2"></i></a>
                                        <a href="">
                                            <i class="far fa-window-close cust-icon2"></i></a>
                                           
                                    </td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>



                </div>
            </div>
        </div>
    </div>
</div>
<!-- end row -->


    
@endsection
