@extends('layouts.crusher')
@section('content')

    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Salesman Report
                            </h6>
                        </div>
                    </div>
                    <!-- <div class="col-4"> -->
                    <form action="{{ route('saleManReport') }}" method="post" class="outer-repeater">
                            @csrf
                        <div class="row">
                            <div class="col-md-8">
                                <div class="form-group">
                                    <label class="control-label">Select SalesMan</label>
                                    <select class="form-control select2" name="selected_salesman">
                                        <option>Select</option>
                                        @foreach ($SalesmanReports as $SalesmanReport)
                                            <option value="{{$SalesmanReport->id}}">{{$SalesmanReport->first_name .' '. $SalesmanReport->last_name}}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>From Date</label>
                                    <input id="from_date" class="form-control" name="from_date"  type="date" pattern="\d{4}-\d{2}-\d{2}">
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>To Date</label>
                                    <input id="to_date" class="form-control" name="to_date" type="date" pattern="\d{4}-\d{2}-\d{2}">
                                </div>
                            </div>
                        </div>
                        <button class="btn btn-cust1" type="submit"><i class="fas fa-check"></i>
                            Disply</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- end row -->

@endsection
