<?php $__env->startSection('content'); ?>




    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Warehouse Transfer</h6>
                        </div>

                    </div>
                    <!-- <div class="col-4"> -->
                    <form action="<?php echo e(route('software.warehouse_transfers.store')); ?>" class="outer-repeater" method="POST">
                        <?php echo csrf_field(); ?>


                        <div class="row">

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Warehouse Transfer #</label>
                                    <input class="form-control" readonly placeholder=""
                                        id="example-password-input" name="invoice_no" value="<?php echo e($newInvoiceNo); ?>">
                                </div>
                            </div>

                            <div class="col-md-6">

                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Date</label>
                                    <input class="form-control PeriodClosingDate" type="date" pattern="\d{4}-\d{2}-\d{2}" name="date" value="<?php echo e(date('Y-m-d')); ?>">
                                </div>
                            </div>
                        </div>


                        <div class="row">

                            <div class="table-responsive mb-0" data-pattern="priority-columns">
                                <table class="table table-bordered dt-responsive nowrap"
                                    style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                        <tr>
                                            <th>Item Name</th>
                                            <th>Item description</th>
                                            <th>From Warehouse</th>
                                            <th>To Warehouse</th>
                                            <th>Delete</th>
                                        </tr>
                                    </thead>

                                    <tbody id="table-body">
                                        <tr>
                                            <div class="inner-repeater mb-12">
                                                <div data-repeater-list="inner-group"
                                                    class="inner form-group">
                                                    <td>
                                                        <div class="form-group">
                                                            <select class="form-control selectItem "
                                                                name="item_name_id[]">
                                                                <option value="" selected disabled>Select Item
                                                                </option>
                                                                <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                    <option value="<?php echo e($item->id); ?>">
                                                                        <?php echo e($item->name); ?></option>
                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                            </select>
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-group">
                                                            <textarea class="form-control" rows="1" type="text" placeholder="Item Description"
                                                                id="example-textarea-input" name="item_description[]"></textarea>
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-group">
                                                            <select class="form-control selectWarehouse "
                                                                name="warehouse_from[]">
                                                                <option value="" selected disabled>Select Warehouse
                                                                </option>
                                                                <?php $__currentLoopData = $warehouses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $warehouse): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                    <option value="<?php echo e($warehouse->id); ?>">
                                                                        <?php echo e($warehouse->name); ?></option>
                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                            </select>
                                                        </div>
                                                    </td>

                                                    <td>
                                                        <div class="form-group">
                                                            <select class="form-control selectWarehouse "
                                                                name="warehouse_to[]">
                                                                <option value="" selected disabled>Select Warehouse
                                                                </option>
                                                                <?php $__currentLoopData = $warehouses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $warehouse): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                    <option value="<?php echo e($warehouse->id); ?>">
                                                                        <?php echo e($warehouse->name); ?></option>
                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                            </select>
                                                        </div>
                                                    </td>

                                                </div>

                                            </div>


                                            <td>
                                                <a href="" class="delete-row-btn"> <i
                                                        class="fas fa-trash-alt inner"></i></a>
                                            </td>


                                        </tr>

                                    </tbody>
                                </table>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-8">
                                <button id="add-more-btn" class="btn btn-outline-primary">Add
                                    more</button>
                            </div>
                            <div class="col-md-4">
                                <!-- <h5>QTY Total: 0</h5> -->
                            </div>
                        </div>
                        <br>

                        <button class="btn btn-cust1 float-right" type="submit">Transfer Stock</button>



                    </form>


                </div>
            </div>
        </div>
    </div>
</div>
<!-- end row -->

<script src="https://code.jquery.com/jquery-3.7.0.js" integrity="sha256-JlqSTELeR4TLqP0OG9dxM7yDPqX1ox/HfgiSLBj8+kM="
crossorigin="anonymous"></script>

    <script>
        $(document).ready(function () {
            // Event handler for the add-clone-btn click
            $(document).on('click', '.add-clone-btn', function (e) {
                e.preventDefault();

                // Get the parent <tr> element
                var parentTr = $(this).closest('tr');

                // Clone the parent <tr> element
                var clonedTr = parentTr.clone();

                // Append the cloned <tr> after the parent <tr>
                parentTr.after(clonedTr);
            });
        });

        $(document).ready(function () {
            $('#add-more-btn').click(function (e) {
                e.preventDefault();

                // Clone the existing row
                var newRow = $('#table-body tr').first().clone();

                // Clear input fields and select values in the cloned row
                newRow.find('input, textarea').val('');
                newRow.find('select').prop('selectedIndex', 0);

                // Append the cloned row to the table
                $('#table-body').append(newRow);
            });

            $('#add-clone-btn').click(function (e) {
                e.preventDefault();

                // Clone the existing row
                var newRow = $('#table-body tr').first().clone();

                // Clear input fields and select values in the cloned row
                newRow.find('input, textarea').val('');
                newRow.find('select').prop('selectedIndex', 0);

                // Append the cloned row to the table
                $('#table-body').append(newRow);
            });

            // Handle delete button click event
            $(document).on('click', '.delete-row-btn', function (e) {
                e.preventDefault();

                // Get the parent row and remove it
                var row = $(this).closest('tr');
                row.remove();
            });
        });
    </script>


    <!-- modal script -->

    <script>
        document.getElementById("modalSelect").addEventListener("change", function() {
            var selectedModal = this.value;

            // Close any open modals
            $('.modal').modal('hide');

            // Open the selected modal
            $('#' + selectedModal).modal('show');
        });
    </script>

<?php
use App\Branches;
use Carbon\Carbon;

$selectedBranchId = session('selected_branch');

$branch = Branches::where('id', $selectedBranchId)->first();
?>

<script>
<?php if(!empty($selectedBranchId)): ?>
    document.addEventListener("DOMContentLoaded", function() {
        var periodClosings = <?php echo json_encode($periodClosings); ?>;

        function isBeforePeriodClosing(date) {
            var selectedDate = new Date(date);
            for (var i = 0; i < periodClosings.length; i++) {
                var closingDate = new Date(periodClosings[i]);
                if (selectedDate < closingDate) {
                    return true;
                }
            }
            return false;
        }

        function setColor(dateInput) {
            var selectedDate = dateInput.value;
            if (isBeforePeriodClosing(selectedDate)) {
                dateInput.style.backgroundColor = 'lightgrey';
            } else {
                dateInput.style.backgroundColor = '';
            }
        }

        var periodClosingDateInputs = document.querySelectorAll('.PeriodClosingDate');
        periodClosingDateInputs.forEach(function(input) {
            input.addEventListener('change', function() {
                setColor(this);
                if (isBeforePeriodClosing(this.value)) {
                    <?php if(!Branches::hasBranchPermission($selectedBranchId, 'Back Dated Entry As Per User Credentials')): ?>
                        window.alert("Do you want to enter a closing period? Please contact admin.");
                        this.value = '';
                    <?php else: ?>
                        window.alert("Do you want to enter a closing period?");
                    <?php endif; ?>
                }
            });
            setColor(input);
        });
    });
<?php endif; ?>
</script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/crusher/trans_warehouse_transfer/create.blade.php ENDPATH**/ ?>