    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <br>
                    <div class="row">
                        <div class="col-md-12">
                            <div id="printableArea" class="table-responsive mb-0" data-pattern="priority-columns">
                                <table class="table table-bordered nowrap"
                                    style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                        <tr>
                                            <th>Particulars</th>
                                            <th>Amounts</th>
                                            <th></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                            <tr class="td-drak-bg">
                                                <td colspan="3"><strong>Trading Account :</strong></td>
                                            </tr>

                                            <tr class="detailsView">
                                                <td>Sales</td>
                                                <td>
                                                    <?php echo e(number_format($AllSaleTotals, session('branch')->currency_decimal)); ?>

                                                </td>
                                                <td></td>

                                            </tr>
                                            <tr>
                                                <td><strong>Sales Accounts</strong></td>
                                                <td></td>
                                                <td>
                                                    <strong><?php echo e(number_format($AllSaleTotals, session('branch')->currency_decimal)); ?></strong>
                                                </td>
                                            </tr>

                                                <?php if($allOpeningStock): ?>
                                                    <tr>
                                                        <td>Opening Stock</td>
                                                        <td><?php echo e(number_format($allOpeningStock, session('branch')->currency_decimal)); ?></td>
                                                        <td></td>
                                                    </tr>
                                                <?php endif; ?>
                                                <tr>
                                                <td>(+) Purchase Accounts</td>
                                                <td>
                                                <strong><?php echo e(number_format($AllPurchaesTotals, session('branch')->currency_decimal)); ?></strong>
                                                </td>
                                                <td></td>
                                                </tr>
                                                <tr>

                                                <?php if($allClosingStock): ?>
                                                    <tr>
                                                        <td>(-) Closing Stock</td>
                                                        <td><?php echo e(number_format($allClosingStock, session('branch')->currency_decimal)); ?></td>
                                                        <td></td>
                                                    </tr>
                                                <?php endif; ?>
                                                <?php

                                                    $costOfSales = ($allOpeningStock + $AllPurchaesTotals) - $allClosingStock;

                                                    $GrossAmount = $AllSaleTotals - $costOfSales;

                                                ?>
                                                <tr>
                                                    <td colspan="2"><strong>Cost of Sales :</strong></td>
                                                    <td><strong><?php echo e(($costOfSales < 0) ? '(-)' : ''); ?><?php echo e(number_format(abs($costOfSales), session('branch')->currency_decimal)); ?></strong></td>
                                                </tr>
                                                <tr>
                                                <tr>
                                                    <td colspan="2"><strong class="<?php echo e(($GrossAmount < 0) ? 'text-danger' : ''); ?>"><?php echo e(($GrossAmount >= 0) ? 'Gross Profit' : 'Gross Loss'); ?> :</strong></td>
                                                    <td><strong class="<?php echo e(($GrossAmount < 0) ? 'text-danger' : ''); ?>"><?php echo e(($GrossAmount < 0) ? '(-)' : ''); ?><?php echo e(number_format(abs($GrossAmount), session('branch')->currency_decimal)); ?></strong></td>
                                                </tr>
                                                </tr>


                                                <tr class="td-drak-bg">
                                                    <td colspan="3"><strong><span>Income Statement :</span></strong></td>
                                                </tr>

                                                <?php
                                                    $incomeTotalCB = 0;
                                                ?>
                                                <?php $__currentLoopData = $incomeTotalClosingBalance; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $accountName => $closingBalance): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <tr class="detailsView">
                                                        <td><?php echo e($accountName); ?></td>
                                                        <td><?php echo e(number_format(abs($closingBalance), session('branch')->currency_decimal)); ?></td>
                                                        <td></td>
                                                    </tr>
                                                    <?php
                                                        $incomeTotalCB += -$closingBalance;
                                                    ?>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <tr class="td-drak-bg">
                                                    <td colspan="2"><strong>Income</strong></td>
                                                    <td><strong><?php echo e(number_format(abs($incomeTotalCB), session('branch')->currency_decimal)); ?></strong></td>
                                                </tr>
                                                <?php
                                                    $GrossPlusIncom = $GrossAmount + $incomeTotalCB
                                                ?>
                                                <tr>
                                                    <td colspan="2"></td>
                                                    <td><strong><?php echo e(number_format(abs($GrossPlusIncom), session('branch')->currency_decimal)); ?></strong></td>
                                                </tr>
                                                <?php
                                                    $expenseTotalCB = 0;
                                                ?>
                                                <?php $__currentLoopData = $expenseTotalClosingBalance; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $accountName => $closingBalance): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <tr class="detailsView">
                                                        <td><?php echo e($accountName); ?></td>
                                                        <td><?php echo e(number_format($closingBalance, session('branch')->currency_decimal)); ?></td>
                                                        <td></td>
                                                    </tr>
                                                    <?php
                                                        $expenseTotalCB += $closingBalance;
                                                    ?>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


                                                <tr class="td-drak-light">
                                                    <td><strong>Expenses</strong></td>
                                                    <td></td>
                                                    <td><strong><?php echo e(number_format($expenseTotalCB, session('branch')->currency_decimal)); ?></strong></td>
                                                </tr>
                                            <?php
                                                $totalExpense = 0;
                                            ?>
                                            <?php
                                                $netProfit = $GrossPlusIncom - $expenseTotalCB;
                                            ?>

                                             
                                            <tr>
                                                <td colspan="2"><strong class="<?php echo e(($netProfit < 0) ? 'text-danger' : ''); ?>"><?php echo e(($netProfit >= 0) ? 'Net Profit' : 'Net Loss'); ?> :</strong></td>
                                                <td><strong class="<?php echo e(($netProfit < 0) ? 'text-danger' : ''); ?>"><?php echo e(($netProfit < 0) ? '(-)' : ''); ?><?php echo e(number_format(abs($netProfit), session('branch')->currency_decimal)); ?></strong></td>
                                            </tr>
                                            
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div>
<?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/crusher\partial_view\profit-and-loss-current-period.blade.php ENDPATH**/ ?>