<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class AllCountries extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'all_countries';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'code',
        'name',
        'phonecode',
    ];


    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
    ];
}
