<?php

namespace App\Http\Middleware;

use Illuminate\Foundation\Http\Middleware\VerifyCsrfToken as Middleware;

class VerifyCsrfToken extends Middleware
{
    /**
     * The URIs that should be excluded from CSRF verification.
     *
     * @var array
     */
    protected $except = [
        'update-terms-accept',
        'crusher/others/notification_track_update',
        'crusher/others/branch_subadmins',
        'crusher/others/reminder_track_update',
        // BUYER
        'crusher/transactions/buyers',
        'crusher/transactions/buyers/exists',
        'crusher/transactions/buyers/delete',
    ];
}
