@extends('layouts.crusher')
@section('content')


        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">View Staff & Salesman Master</h6>
                            </div>
                            <div class="col-md-6">
                                <a href="">
                                    <button class="btn btn-outline-primary float-right cust-btn1" type="submit">Print
                                        Document
                                    </button>
                                </a>
                                <a href="">
                                    <button class="btn btn-outline-primary float-right" type="submit">Back
                                    </button>
                                </a>
                            </div>
                        </div>
                        <!-- <div class="col-4"> -->

                        <div class="row">
                            <div class="col-md-3">
                                <label>First Name :</label>
                                <span>{{ $staff->first_name }}</span>
                            </div>

                            <div class="col-md-6">
                                <label>Date Of Joining :</label>
                                <span>{{ $staff->date_of_joining }}</span>
                            </div>

                            <div class="col-md-12">
                                <label>Last Name :</label>
                                <span>{{ $staff->last_name }}</span>
                            </div>

                            <div class="col-md-6">
                                <label>Mobile 1# :</label>
                                <span>{{ $staff->mobile_1 }}</span>
                            </div>

                            <div class="col-md-6">
                                <label>Mobile 2# :</label>
                                <span>{{ $staff->mobile_2 }}</span>
                            </div>

                            <div class="col-md-6">
                                <label>Whatsapp #:</label>
                                <span>{{ $staff->whatsapp }}</span>
                            </div>

                            <div class="col-md-6">
                                <label>Email :</label>
                                <span>{{ $staff->email }}</span>
                            </div>

                            <div class="col-md-6">
                                <label>City :</label>
                                <span>{{ $staff->city }}</span>
                            </div>

                            <div class="col-md-6">
                                <label>Class Of Account :</label>
                                <span>{{ $staff->classOfAccount->name }}</span>
                            </div>
                        </div>

                        <br>

                        <div class="row">
                            <div class="col-md-12">
                                <strong>
                                    <h5>Uploaded Documents</h5>
                                </strong>
                            </div>

                            @for ($i = 1; $i < 8; $i++)
                                <div class="col-md-4">
                                    <label>Name :</label>
                                    <span>{{ $staff->{'doc_name_' . $i} }}</span>
                                </div>
                                <div class="col-md-4">
                                    @if (!empty($staff->{'doc_file_' . $i}))
                                        <a target="_blank" href="{{ asset('/storage/app/public/' . $staff->{'doc_file_' . $i}) }}">
                                            <button class="btn btn-outline-primary" type="submit">Print Document
                                            </button>
                                        </a>
                                    @else
                                        <span>No Document Found</span>
                                    @endif
                                </div>
                                <div class="col-md-4">
                                    <label>Date :</label>
                                    <span>{{ $staff->{'doc_expiry_' . $i} }}</span>
                                </div>
                            @endfor


                        </div>

                        <br>

                        <div class="col-md-12">

                            <label>Description :</label>
                            <p>{{$staff->description}}</p>
                        </div>


                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->
@endsection
