<?php $__env->startSection('content'); ?>
<div class="page-content">

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box d-flex align-items-center justify-content-between">
                <h4 class="page-title mb-0 font-size-18">Dashboard</h4>

                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <h4 class="page-title mb-0 font-size-18">Powered By ACP</h4>
                    </ol>
                </div>

            </div>
        </div>
    </div>
    <!-- end page title -->

    <div class="row">
        <div class="col-xl-3">
            <div class="card">
                <div class="card-body">
                    <div class="media">
                        <div class="media-body">
                            <div class="font-size-16 mt-2">Revenue</div>
                        </div>
                    </div>
                    <h4 class="mt-4"><?php echo e(number_format($currentMonthRevenue, 2)); ?></h4>
                    <div class="row">
                        <div class="col-7">
                            <p class="mb-0">
                                <span class="<?php echo e($percentageChangeRevenue >= 0 ? 'text-success' : 'text-danger'); ?> mr-2">
                                    <?php echo e(number_format($percentageChangeRevenue, 2)); ?>%
                                    <i class="mdi <?php echo e($percentageChangeRevenue >= 0 ? 'mdi-arrow-up' : 'mdi-arrow-down'); ?>"></i>
                                </span>
                            </p>
                        </div>
                        <div class="col-5 align-self-center">
                            <div class="progress progress-sm">
                                <div class="progress-bar <?php echo e($percentageChangeRevenue >= 0 ? 'bg-primary' : 'bg-danger'); ?>"
                                    role="progressbar" style="width: <?php echo e(abs($percentageChangeRevenue)); ?>%" aria-valuenow="<?php echo e(abs($percentageChangeRevenue)); ?>"
                                    aria-valuemin="0" aria-valuemax="100"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <div class="col-xl-3">
            <div class="card">
                <div class="card-body">
                    <div class="media">
                        <div class="media-body">
                            <div class="font-size-16 mt-2">Total Client</div>
                        </div>
                    </div>
                    <h4 class="mt-4"><?php echo e($currentMonthClients); ?></h4>
                    <div class="row">
                        <div class="col-7">
                            <p class="mb-0">
                                <span class="<?php echo e($percentageChangeClients >= 0 ? 'text-success' : 'text-danger'); ?> mr-2">
                                    <?php echo e(number_format($percentageChangeClients, 2)); ?>%
                                    <i class="mdi <?php echo e($percentageChangeClients >= 0 ? 'mdi-arrow-up' : 'mdi-arrow-down'); ?>"></i>
                                </span>
                            </p>
                        </div>
                        <div class="col-5 align-self-center">
                            <div class="progress progress-sm">
                                <div class="progress-bar <?php echo e($percentageChangeClients >= 0 ? 'bg-primary' : 'bg-danger'); ?>"
                                    role="progressbar" style="width: <?php echo e(abs($percentageChangeClients)); ?>%" aria-valuenow="<?php echo e(abs($percentageChangeClients)); ?>"
                                    aria-valuemin="0" aria-valuemax="100"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-xl-3">
            <div class="card">
                <div class="card-body">
                    <div class="media">
                        <div class="media-body">
                            <div class="font-size-16 mt-2">Expired</div>
                        </div>
                    </div>
                    <h4 class="mt-4"><?php echo e($currentMonthExpiredCount); ?></h4>
                    <div class="row">
                        <div class="col-7">
                            <p class="mb-0">
                                <span class="<?php echo e($percentageChangeExpired >= 0 ? 'text-success' : 'text-danger'); ?> mr-2">
                                    <?php echo e(number_format($percentageChangeExpired, 2)); ?>%
                                    <i class="mdi <?php echo e($percentageChangeExpired >= 0 ? 'mdi-arrow-up' : 'mdi-arrow-down'); ?>"></i>
                                </span>
                            </p>
                        </div>
                        <div class="col-5 align-self-center">
                            <div class="progress progress-sm">
                                <div class="progress-bar <?php echo e($percentageChangeExpired >= 0 ? 'bg-primary' : 'bg-danger'); ?>"
                                    role="progressbar" style="width: <?php echo e(abs($percentageChangeExpired)); ?>%" aria-valuenow="<?php echo e(abs($percentageChangeExpired)); ?>"
                                    aria-valuemin="0" aria-valuemax="100"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>



        <div class="col-xl-3">
            <div class="card">
                <div class="card-body">
                    <div class="media">
                        <div class="media-body">
                            <div class="font-size-16 mt-2">Upcoming Expiry</div>
                        </div>
                    </div>
                    <h4 class="mt-4"><?php echo e($upcomingExpiryCount); ?></h4>
                    <div class="row">
                        <div class="col-7">
                            <p class="mb-0">
                                <span class="text-success mr-2">0.16% <i class="mdi mdi-arrow-up"></i></span>
                            </p>
                        </div>
                        <div class="col-5 align-self-center">
                            <div class="progress progress-sm">
                                <div class="progress-bar bg-primary" role="progressbar" style="width: 62%" aria-valuenow="62" aria-valuemin="0" aria-valuemax="100"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
    <!-- end row -->


    <div class="row">
        <div class="col-xl-8">
            <div class="card">
                <div class="card-body">
                    <h4 class="card-title mb-4">Total Client Last Six Month</h4>

                    <div id="super-line-chart" class="apex-charts"></div>
                </div>
            </div>
        </div>
        <div class="col-xl-4">
            <div class="card">
                <div class="card-body">
                    <h4 class="card-title mb-4">Total Client Last Six Month</h4>

                    <div id="super-chart" class="apex-charts"></div>

                </div>
            </div>
        </div>
    </div>

    <div class="row">
        
        <?php
            $branches = App\Branches::with('company')->get();
        ?>
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body">
                    <h4 class="card-title mb-4">Latest Transactions</h4>

                    <div class="table-responsive">
                        <table class="table table-centered">
                            <thead>
                                <tr>
                                    <th scope="col">Company Name</th>
                                    <th scope="col">Branch</th>
                                    <th scope="col">Activation Date</th>
                                    <th scope="col">Expiry Date</th>
                                    <th scope="col">Amount</th>
                                    <th scope="col" colspan="2">Payment Status</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                    use Carbon\Carbon;
                                ?>

                            <?php $__currentLoopData = $branches; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $branch): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php
                                    $currentDate = Carbon::now();
                                    $expiryDate = Carbon::parse($branch->expiry_date);
                                    $daysDifference = $currentDate->diffInDays($expiryDate, false);
                                    $status = '';
                                    $statusClass = '';

                                    if ($daysDifference > 10) {
                                        $status = 'Paid';
                                        $statusClass = 'badge-success';
                                    } elseif ($daysDifference > 0 && $daysDifference <= 10) {
                                        $status = 'Upcoming';
                                        $statusClass = 'badge-warning';
                                    } elseif ($daysDifference <= 0) {
                                        $status = 'Overdue';
                                        $statusClass = 'badge-danger';
                                    }
                                ?>
                                <tr>
                                    <td><?php echo e($branch->company->name); ?></td>
                                    <td><?php echo e($branch->name); ?></td>
                                    <td>
                                        <a href="#" class="text-body font-weight-medium"><?php echo e($branch->issue_date); ?></a>
                                    </td>
                                    <td><?php echo e($branch->expiry_date); ?></td>
                                    <td><?php echo e($branch->price); ?></td>
                                    <td>
                                        <span class="badge <?php echo e($statusClass); ?> font-size-12"><?php echo e($status); ?></span>
                                    </td>
                                    <td><a href="superadmin-check-expire.html" class="btn btn-primary btn-sm">View</a></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>

                    <div class="mt-3">
                        <ul class="pagination pagination-rounded justify-content-center mb-0">
                            <li class="page-item">
                                <a class="page-link" href="#">Previous</a>
                            </li>
                            <li class="page-item active"><a class="page-link" href="#">1</a></li>
                            <li class="page-item "><a class="page-link" href="#">2</a></li>
                            <li class="page-item"><a class="page-link" href="#">3</a></li>
                            <li class="page-item"><a class="page-link" href="#">Next</a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->

    <!-- <div class="row">
        <div class="col-xl-5">
            <div class="card">
                <div class="card-body">
                    <h4 class="card-title mb-4">Lorem ipsum</h4>

                    <div class="row align-items-center">
                        <div class="col-sm-6">
                            <div id="donut-chart" class="apex-charts"></div>
                        </div>
                        <div class="col-sm-6">
                            <div>
                                <div class="row">
                                    <div class="col-6">
                                        <div class="py-3">
                                            <p class="mb-1 text-truncate"><i
                                                    class="mdi mdi-circle text-primary mr-1"></i> Online
                                            </p>
                                            <h5>  2,652</h5>
                                        </div>
                                    </div>
                                    <div class="col-6">
                                        <div class="py-3">
                                            <p class="mb-1 text-truncate"><i
                                                    class="mdi mdi-circle text-success mr-1"></i>
                                                Offline</p>
                                            <h5>  2,284</h5>
                                        </div>
                                    </div>
                                    <div class="col-6">
                                        <div class="py-3">
                                            <p class="mb-1 text-truncate"><i
                                                    class="mdi mdi-circle text-warning mr-1"></i>
                                                Marketing</p>
                                            <h5>  1,753</h5>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-xl-4">
            <div class="card">
                <div class="card-body">
                    <h4 class="card-title mb-4">Lorem ipsum</h4>

                    <div id="scatter-chart" class="apex-charts"></div>
                </div>
            </div>
        </div>


    </div> -->
    <!-- end row -->

    <!-- <div class="row">
        <div class="col-xl-3">
            <div class="card">
                <div class="card-body">
                    <h4 class="card-title mb-4">Overview</h4>

                    <div>
                        <div class="pb-3 border-bottom">
                            <div class="row align-items-center">
                                <div class="col-8">
                                    <p class="mb-2">New Visitors</p>
                                    <h4 class="mb-0">3,524</h4>
                                </div>
                                <div class="col-4">
                                    <div class="text-right">
                                        <div>
                                            2.06 % <i class="mdi mdi-arrow-up text-success ml-1"></i>
                                        </div>
                                        <div class="progress progress-sm mt-3">
                                            <div class="progress-bar" role="progressbar"
                                                style="width: 62%" aria-valuenow="62" aria-valuemin="0"
                                                aria-valuemax="100"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="py-3 border-bottom">
                            <div class="row align-items-center">
                                <div class="col-8">
                                    <p class="mb-2">Product Views</p>
                                    <h4 class="mb-0">2,465</h4>
                                </div>
                                <div class="col-4">
                                    <div class="text-right">
                                        <div>
                                            0.37 % <i class="mdi mdi-arrow-up text-success ml-1"></i>
                                        </div>
                                        <div class="progress progress-sm mt-3">
                                            <div class="progress-bar bg-warning" role="progressbar"
                                                style="width: 48%" aria-valuenow="48" aria-valuemin="0"
                                                aria-valuemax="100"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="pt-3">
                            <div class="row align-items-center">
                                <div class="col-8">
                                    <p class="mb-2">Revenue</p>
                                    <h4 class="mb-0">  4,653</h4>
                                </div>
                                <div class="col-4">
                                    <div class="text-right">
                                        <div>
                                            2.18 % <i class="mdi mdi-arrow-up text-success ml-1"></i>
                                        </div>
                                        <div class="progress progress-sm mt-3">
                                            <div class="progress-bar bg-success" role="progressbar"
                                                style="width: 78%" aria-valuenow="78" aria-valuemin="0"
                                                aria-valuemax="100"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-xl-3">
            <div class="card">
                <div class="card-body">
                    <h4 class="card-title mb-4">Reviews</h4>
                    <div class="mb-4">
                        <h5><span class="text-primary">500</span>+ Satisfied clients</h5>
                    </div>
                    <div class="mb-3">
                        <i class="fas fa-quote-left h4 text-primary"></i>
                    </div>
                    <div id="reviewExampleControls" class="carousel slide review-carousel"
                        data-ride="carousel">

                        <div class="carousel-inner">
                            <div class="carousel-item active">
                                <div>
                                    <p>To achieve this, it would be necessary to have uniform grammar,
                                        pronunciation and more common words</p>
                                    <div class="media mt-4">
                                        <div class="avatar-sm mr-3">
                                            <span
                                                class="avatar-title bg-soft-primary text-primary rounded-circle">
                                                J
                                            </span>
                                        </div>
                                        <div class="media-body">
                                            <h5 class="font-size-16 mb-1">Jessie Mitchell</h5>
                                            <p class="mb-2">CEO of ABC Company</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="carousel-item">
                                <div>
                                    <p>For science, music, sport, etc, Europe uses the same vocabulary
                                        languages only differ in their grammar</p>
                                    <div class="media mt-4">
                                        <div class="avatar-sm mr-3">
                                            <img src="assets/images/users/avatar-4.jpg" alt=""
                                                class="img-fluid rounded-circle">
                                        </div>
                                        <div class="media-body">
                                            <h5 class="font-size-16 mb-1">Kelly Rivera</h5>
                                            <p class="mb-2">Web Developer</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="carousel-item">
                                <div>
                                    <p>The new common language will be more simple and regular than the
                                        existing European languages.</p>
                                    <div class="media mt-4">
                                        <div class="avatar-sm mr-3">
                                            <span
                                                class="avatar-title bg-soft-primary text-primary rounded-circle">
                                                S
                                            </span>
                                        </div>
                                        <div class="media-body">
                                            <h5 class="font-size-16 mb-1">Simon Hawkins</h5>
                                            <p class="mb-2">CEO of XYZ Company</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <a class="carousel-control-prev" href="#reviewExampleControls" role="button"
                            data-slide="prev">
                            <i class="mdi mdi-chevron-left carousel-control-icon"></i>
                        </a>
                        <a class="carousel-control-next" href="#reviewExampleControls" role="button"
                            data-slide="next">
                            <i class="mdi mdi-chevron-right carousel-control-icon"></i>
                        </a>
                    </div>

                </div>
            </div>
        </div>
         <div class="col-xl-6">
            <div class="card">
                <div class="card-body">
                    <h4 class="card-title mb-4">Revenue by location</h4>

                    <div class="row">
                        <div class="col-sm-6">
                            <div id="usa-vectormap" style="height: 230px"></div>
                        </div>

                        <div class="col-sm-5 ml-auto">
                            <div class="mt-4 mt-sm-0">
                                <p>Last month Revenue</p>

                                <div class="media py-3">
                                    <div class="media-body">
                                        <p class="mb-2">California</p>
                                        <h5 class="mb-0">  2,256</h5>
                                    </div>
                                    <div>
                                        2.52 % <i class="mdi mdi-arrow-up text-success ml-1"></i>
                                    </div>
                                </div>
                                <div class="media py-3 border-top">
                                    <div class="media-body">
                                        <p class="mb-2">Nevada</p>
                                        <h5 class="mb-0">  1,853</h5>
                                    </div>
                                    <div>
                                        1.26 % <i class="mdi mdi-arrow-up text-success ml-1"></i>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div> -->
    <!-- end row -->

<!-- Latest compiled and minified JavaScript -->
<script src="https://cdn.jsdelivr.net/npm/apexcharts"></script>


    <script>

        var options = {
            series: [{
                name: "Total Client",
                type: "line",
                data: <?php echo json_encode($seriesDataPurchaseAdminsLastSixMonths); ?>
            }],
            chart: {
                height: 260,
                type: "line",
                toolbar: {
                    show: false
                },
                zoom: {
                    enabled: false
                }
            },
            colors: ["#45cb85"],
            dataLabels: {
                enabled: false
            },
            stroke: {
                curve: "smooth",
                width: "3",
                dashArray: [4, 0]
            },
            markers: {
                size: 3
            },
            xaxis: {
                categories: <?php echo json_encode($categoriesAdminsLastSixMonths); ?>,
                title: {
                    text: "Month"
                }
            },
            fill: {
                type: "solid",
                opacity: 1
            },
            legend: {
                position: "top",
                horizontalAlign: "right"
            }
        };

        var chart = new ApexCharts(document.querySelector("#super-line-chart"), options);
        chart.render();

    </script>

</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.superadmin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/super_admin/index.blade.php ENDPATH**/ ?>