<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\AccountMaster;
use App\AccountMastersAccountsDetail;
use App\ClassOfAccount;
use App\Currency;
use App\Http\Controllers\Controller;
use App\PurchaseInvoice;
use App\PurchaseReturnVoucher;
use App\SaleInvoice;
use App\SalesReturnVoucher;
use App\Services\Utils;
use Carbon\Carbon;
use PDF;
use Auth;
use App\Customer;
use App\Expense;
use App\Supplier;
use App\StaffAndSalesman;
use App\AdminOtherAccount;
use App\AdminSalesInvoice;
use App\AdminJournalVoucher;
use App\AdminReceiptVoucher;
use App\ReceiptVoucherExpense;
use App\PaymentVoucherExpense ;
use App\Company;
use App\DeliveryNote;
use App\CreditNote;
use App\DebitNote;
use App\OpeningBalance;
use App\PurchaseOrder;
use App\Quotation;
use App\WarehouseTransfer;
use App\AdminPurchaesInvoice;
use App\AdminPaymentVoucher;
use App\AdminTermsAndCondition;
use Illuminate\Support\Facades\DB;
class CashReportController extends Controller
{
    public function display()
    {

        // $pp = (new adminSalesINvoice)->dayBookReport($request);

        // dd($pp);

        return view('crusher.reports.cash-report-select-date');
    }
    public function cashLedgerReport(Request $request)
    {
        $lastFromDate = date("2003-01-01");
        $from_date = $request->from_date;
        $to_date = $request->to_date;
        $lastDay = Carbon::parse($to_date)->subDay()->format('Y-m-d');

        $currentYearFirstDate = date("2003-01-01");
        $oneDayPreviousDate = date('Y-m-d', strtotime('-1 day', strtotime($from_date)));

        // $classOfAccount = classOfAccount::where('name', 'Tax & Duties')->first();

        // if ($classOfAccount) {
        //     $cashInHandAccountId = $classOfAccount->id;
        // } else {
        //     $cashInHandAccountId = null;
        // }
        // dd($cashInHandAccountId);

        // $customers = Customer::where('branch_id', session()->get('selected_branch'))->where('class_of_account_id', $cashInHandAccountId)->get(['id', 'name_of_organisation']);
        // $suppliers = Supplier::where('branch_id', session()->get('selected_branch'))->where('class_of_account_id', $cashInHandAccountId)->get(['id', 'name_of_organisation']);
        // $expenses = Expense::where('branch_id', session()->get('selected_branch'))->where('class_of_account_id', $cashInHandAccountId)->get(['id', 'account_name']);
        // $adminOtherAccounts = AdminOtherAccount::where('branch_id', session()->get('selected_branch'))->where('class_of_account_id', $cashInHandAccountId)->get(['id', 'account_name']);

        // $allAccounts = $customers
        //     ->pluck('id')
        //     ->merge($suppliers->pluck('id'))
        //     ->merge($expenses->pluck('id'))
        //     ->merge($adminOtherAccounts->pluck('id'))
        //     ->unique();

        //     $invoices = [];
        //     $totalDebitBalances = [];
        //     $totalCreditBalances = [];

        //     foreach ($allAccounts as $account) {
        //         $PurchaesInvoice = AdminPurchaesInvoice::where('account_id', $account->id)
        //             ->where('branch_id', session()->get('selected_branch'))
        //             ->where('date', '>=', $from_date . ' 00:00:00')
        //             ->where('date', '<=', $to_date . ' 23:59:59')
        //             ->groupBy('invoice_no')
        //             ->get();

        //         $SaleInvoice = AdminSalesInvoice::where('account_id', $account->id)
        //             ->where('branch_id', session()->get('selected_branch'))
        //             ->where('date', '>=', $from_date . ' 00:00:00')
        //             ->where('date', '<=', $to_date . ' 23:59:59')
        //             ->groupBy('invoice_no')
        //             ->get();

        //         $ReceiptVoucher = ReceiptVoucherExpense::where('account_id', $account->id)
        //             ->where('branch_id', session()->get('selected_branch'))
        //             ->where('date', '>=', $from_date . ' 00:00:00')
        //             ->where('date', '<=', $to_date . ' 23:59:59')
        //             ->groupBy('receipt_id')
        //             ->get();

        //             $ReceiptVoucher = AdminReceiptVoucher::with('expense')
        //             ->where('branch_id', session()->get('selected_branch'))
        //             ->where('created_at', '>=', $from_date . ' 00:00:00')
        //             ->where('created_at', '<=', $to_date . ' 23:59:59')
        //             ->whereHas('expense', function ($query) use ($account) {
        //                 $query->where('account_id', $account->id);
        //             })
        //             ->groupBy('invoice_no')
        //             ->get();

        //         $PaymentVoucher = PaymentVoucherExpense::where('account_id', $account->id)
        //             ->where('branch_id', session()->get('selected_branch'))
        //             ->where('date', '>=', $from_date . ' 00:00:00')
        //             ->where('date', '<=', $to_date . ' 23:59:59')
        //             ->get();

        //         $CreditNote = CreditNote::where('account_id', $account->id)
        //             ->where('branch_id', session()->get('selected_branch'))
        //             ->where('date', '>=', $from_date . ' 00:00:00')
        //             ->where('date', '<=', $to_date . ' 23:59:59')
        //             ->get();

        //         $DebitNote = DebitNote::where('account_id', $account->id)
        //             ->where('branch_id', session()->get('selected_branch'))
        //             ->where('date', '>=', $from_date . ' 00:00:00')
        //             ->where('date', '<=', $to_date . ' 23:59:59')
        //             ->get();

        //         $TotalPurchaesInvoice = $PurchaesInvoice->sum('total_net_amount');
        //         $TotalDebitNote = $DebitNote->sum('total_net_amount');
        //         $TotalPaymentVoucher = $PaymentVoucher->sum('amount');

        //         $TotalSaleInvoice = $SaleInvoice->sum('total_net_amount');
        //         $TotalReceiptVoucher = $ReceiptVoucher->sum('amount');
        //         $TotalCreditNote = $CreditNote->sum('total_net_amount');

        //         $totalDebitValue = $TotalSaleInvoice + $TotalPaymentVoucher + $TotalDebitNote;
        //         $totalCreditValue = $TotalPurchaesInvoice + $TotalCreditNote + $TotalReceiptVoucher;

        //         $Debit = null;
        //         $Credit = null;

        //         if ($totalDebitValue > $totalCreditValue) {
        //             $Debit = $totalDebitValue - $totalCreditValue;
        //         } elseif ($totalDebitValue < $totalCreditValue) {
        //             $Credit = $totalCreditValue - $totalDebitValue;
        //         }

        //         $DebitBalance = $Debit;
        //         $creditBalance = $Credit;

        //         $totalDebitBalances[] = [
        //             'account_id' => $account->id,
        //             'debitBalance' => $DebitBalance,
        //         ];

        //         $totalCreditBalances[] = [
        //             'account_id' => $account->id,
        //             'creditBalance' => $creditBalance,
        //         ];

        //     }



        $adminOtherAccount = AdminOtherAccount::where('branch_id', session()->get('selected_branch'))
        ->where('class_of_account_id', 3)
        ->first();

        if ($adminOtherAccount) {
            $cashAccountId = $adminOtherAccount->id;
            if ($adminOtherAccount->type == 'debit') {
                $debitOB = $adminOtherAccount->opening_balance;
                $creditOB = null;
            } elseif ($adminOtherAccount->type == 'credit') {
                $debitOB = null;
                $creditOB = $adminOtherAccount->opening_balance;
            } else {
                $debitOB = null;
                $creditOB = null;
            }
        } else {
            $cashAccountId = null;
            $debitOB = null;
            $creditOB = null;
        }

        // dd($cashAccountId, $debitOpeningBalance, $creditOpeningBalance);


        $PurchaesInvoice = AdminPurchaesInvoice::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();
        $SaleInvoice = AdminSalesInvoice::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();
        $CreditNote = CreditNote::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();
        $DebitNote = DebitNote::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();
        $ReceiptVoucher = AdminReceiptVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->whereHas('expense', function ($query) use ($cashAccountId) {
                $query->where('account_id', $cashAccountId);
            })
            ->groupBy('invoice_no')
            ->get();
        $PaymentVoucher = AdminPaymentVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->whereHas('expense', function ($query) use ($cashAccountId) {
                $query->where('account_id', $cashAccountId);
            })
            ->groupBy('invoice_no')
                ->get();
        $Quotation = Quotation::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('quotation_no')
            ->get();
        $JournalVoucher = AdminJournalVoucher::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();

        $ReceiptVouchers = AdminReceiptVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->where('payment_method', 'Cash')
            ->groupBy('invoice_no')
            ->get();

        foreach ($ReceiptVouchers as $receiptVoucher) {
            $receiptVoucher->mergedExpenses = $receiptVoucher->expense
                ->groupBy('receipt_id')
                ->map(function ($group) {
                    return [
                        'receipt_id' => $group->first()->receipt_id,
                        'total_amount' => $group->sum('amount'),
                    ];
                })
                ->values();
        }
        $PaymentVouchers = AdminPaymentVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->where('payment_method', 'Cash')
            ->groupBy('invoice_no')
            ->get();

        foreach ($PaymentVouchers as $PaymentVoucher) {
            $PaymentVoucher->mergedExpenses = $PaymentVoucher->expense
                ->groupBy('voucher_id')
                ->map(function ($group) {
                    return [
                        'voucher_id' => $group->first()->voucher_id,
                        'total_amount' => $group->sum('amount'),
                    ];
                })
                ->values();
        }
        // $allData = array_merge(
        //     $DebitNote->toArray(),
        //     $CreditNote->toArray(),
        //     $PaymentVouchers->toArray(),
        //     $ReceiptVouchers->toArray(),
        //     $SaleInvoice->toArray(),
        //     $PurchaesInvoice->toArray()
        // );

        $allData = $DebitNote -> concat($CreditNote)->concat($PaymentVouchers)->concat($ReceiptVouchers)->concat($SaleInvoice)->concat($PurchaesInvoice);

        // dd($allData);

        $ObPurchaesInvoice = AdminPurchaesInvoice::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();
        $ObSaleInvoice = AdminSalesInvoice::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();
        $ObCreditNote = CreditNote::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();
        $ObDebitNote = DebitNote::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();
        $ObReceiptVoucher = AdminReceiptVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->whereHas('expense', function ($query) use ($cashAccountId) {
                $query->where('account_id', $cashAccountId);
            })
            ->groupBy('invoice_no')
            ->get();
        $ObPaymentVoucher = AdminPaymentVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->whereHas('expense', function ($query) use ($cashAccountId) {
                $query->where('account_id', $cashAccountId);
            })
            ->groupBy('invoice_no')
                ->get();
        $ObQuotation = Quotation::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('quotation_no')
            ->get();
        $ObJournalVoucher = AdminJournalVoucher::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();

        $ObReceiptVouchers = AdminReceiptVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->where('payment_method', 'Cash')
            ->groupBy('invoice_no')
            ->get();

        foreach ($ObReceiptVouchers as $receiptVoucher) {
            $receiptVoucher->mergedExpenses = $receiptVoucher->expense
                ->groupBy('receipt_id')
                ->map(function ($group) {
                    return [
                        'receipt_id' => $group->first()->receipt_id,
                        'total_amount' => $group->sum('amount'),
                    ];
                })
                ->values();
        }
        $OBPaymentVouchers = AdminPaymentVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->where('payment_method', 'Cash')
            ->groupBy('invoice_no')
            ->get();

        foreach ($OBPaymentVouchers as $PaymentVoucher) {
            $PaymentVoucher->mergedExpenses = $PaymentVoucher->expense
                ->groupBy('voucher_id')
                ->map(function ($group) {
                    return [
                        'voucher_id' => $group->first()->voucher_id,
                        'total_amount' => $group->sum('amount'),
                    ];
                })
                ->values();
        }

        // dd($cashInHandAccountId,$ReceiptVouchers,$PurchaesInvoice,$SaleInvoice,$CreditNote,$DebitNote,$ReceiptVoucher,$PaymentVoucher);

        return view('crusher.reports.cash-report', compact('allData','from_date', 'to_date','ReceiptVouchers','PurchaesInvoice','SaleInvoice','CreditNote','DebitNote','ReceiptVoucher','PaymentVoucher','Quotation','JournalVoucher','ObReceiptVouchers','ObPurchaesInvoice','ObSaleInvoice','ObCreditNote','ObDebitNote','ObReceiptVoucher','ObPaymentVoucher','ObJournalVoucher','ObQuotation','PaymentVouchers','OBPaymentVouchers','debitOB','creditOB'));
    }




    // {
    //     $lastFromDate = date("2003-01-01");
    //     $from_date = $request->from_date;
    //     $to_date = $request->to_date;
    //     $lastDay = Carbon::parse($to_date)->subDay()->format('Y-m-d');

    //     $currentYearFirstDate = date("2003-01-01");
    //     $oneDayPreviousDate = date('Y-m-d', strtotime('-1 day', strtotime($from_date)));

    //     $CadminOtherAccount = AdminOtherAccount::where('branch_id', session()->get('selected_branch'))
    //     ->where('account_name', 'cash')
    //     ->first();

    //     if ($CadminOtherAccount) {
    //         $cashAccountId = $CadminOtherAccount->id;
    //     } else {
    //         $cashAccountId = null;
    //     }

    //     $CPurchaesInvoice = AdminPurchaesInvoice::where('account_id', $cashAccountId)
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $from_date . ' 00:00:00')
    //         ->where('date', '<=', $to_date . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->get();
    //     $CSaleInvoice = AdminSalesInvoice::where('account_id', $cashAccountId)
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $from_date . ' 00:00:00')
    //         ->where('date', '<=', $to_date . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->get();
    //     $CCreditNote = CreditNote::where('account_id', $cashAccountId)
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('created_at', '>=', $from_date . ' 00:00:00')
    //         ->where('created_at', '<=', $to_date . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->get();
    //     $CDebitNote = DebitNote::where('account_id', $cashAccountId)
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('created_at', '>=', $from_date . ' 00:00:00')
    //         ->where('created_at', '<=', $to_date . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->get();
    //     $CReceiptVoucher = AdminReceiptVoucher::with('expense')
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('created_at', '>=', $from_date . ' 00:00:00')
    //         ->where('created_at', '<=', $to_date . ' 23:59:59')
    //         ->whereHas('expense', function ($query) use ($cashAccountId) {
    //             $query->where('account_id', $cashAccountId);
    //         })
    //         ->groupBy('invoice_no')
    //         ->get();
    //     $CPaymentVoucher = AdminPaymentVoucher::with('expense')
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('created_at', '>=', $from_date . ' 00:00:00')
    //         ->where('created_at', '<=', $to_date . ' 23:59:59')
    //         ->whereHas('expense', function ($query) use ($cashAccountId) {
    //             $query->where('account_id', $cashAccountId);
    //         })
    //         ->groupBy('invoice_no')
    //             ->get();
    //     $CQuotation = Quotation::where('account_id', $cashAccountId)
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $from_date . ' 00:00:00')
    //         ->where('date', '<=', $to_date . ' 23:59:59')
    //         ->groupBy('quotation_no')
    //         ->get();
    //     $CJournalVoucher = AdminJournalVoucher::where('account_id', $cashAccountId)
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $from_date . ' 00:00:00')
    //         ->where('date', '<=', $to_date . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->get();

    //     $CReceiptVouchers = AdminReceiptVoucher::with('expense')
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('created_at', '>=', $from_date . ' 00:00:00')
    //         ->where('created_at', '<=', $to_date . ' 23:59:59')
    //         ->where('payment_method', 'Cash')
    //         ->groupBy('invoice_no')
    //         ->get();

    //     foreach ($CReceiptVouchers as $receiptVoucher) {
    //         $receiptVoucher->mergedExpenses = $receiptVoucher->expense
    //             ->groupBy('receipt_id')
    //             ->map(function ($group) {
    //                 return [
    //                     'receipt_id' => $group->first()->receipt_id,
    //                     'total_amount' => $group->sum('amount'),
    //                 ];
    //             })
    //             ->values();
    //     }
    //     $CObPurchaesInvoice = AdminPurchaesInvoice::where('account_id', $cashAccountId)
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //         ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->get();
    //     $CObSaleInvoice = AdminSalesInvoice::where('account_id', $cashAccountId)
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //         ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->get();
    //     $CObCreditNote = CreditNote::where('account_id', $cashAccountId)
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //         ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->get();
    //     $CObDebitNote = DebitNote::where('account_id', $cashAccountId)
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //         ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->get();
    //     $CObReceiptVoucher = AdminReceiptVoucher::with('expense')
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //         ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //         ->whereHas('expense', function ($query) use ($cashAccountId) {
    //             $query->where('account_id', $cashAccountId);
    //         })
    //         ->groupBy('invoice_no')
    //         ->get();
    //     $CObPaymentVoucher = AdminPaymentVoucher::with('expense')
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //         ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //         ->whereHas('expense', function ($query) use ($cashAccountId) {
    //             $query->where('account_id', $cashAccountId);
    //         })
    //         ->groupBy('invoice_no')
    //             ->get();
    //     $CObQuotation = Quotation::where('account_id', $cashAccountId)
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //         ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //         ->groupBy('quotation_no')
    //         ->get();
    //     $CObJournalVoucher = AdminJournalVoucher::where('account_id', $cashAccountId)
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //         ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->get();

    //     $CObReceiptVouchers = AdminReceiptVoucher::with('expense')
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //         ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //         ->where('payment_method', 'Cash')
    //         ->groupBy('invoice_no')
    //         ->get();

    //     foreach ($CObReceiptVouchers as $receiptVoucher) {
    //         $receiptVoucher->mergedExpenses = $receiptVoucher->expense
    //             ->groupBy('receipt_id')
    //             ->map(function ($group) {
    //                 return [
    //                     'receipt_id' => $group->first()->receipt_id,
    //                     'total_amount' => $group->sum('amount'),
    //                 ];
    //             })
    //             ->values();
    //     }


    //     // dd($ReceiptVouchers,$PurchaesInvoice,$SaleInvoice,$CreditNote,$DebitNote,$ReceiptVoucher,$PaymentVoucher);

    //     return view('crusher.reports.cash-report', compact('from_date', 'to_date','CReceiptVouchers','CPurchaesInvoice','CSaleInvoice','CCreditNote','CDebitNote','CReceiptVoucher','CPaymentVoucher','CQuotation','CJournalVoucher','CObReceiptVouchers','CObPurchaesInvoice','CObSaleInvoice','CObCreditNote','CObDebitNote','CObReceiptVoucher','CObPaymentVoucher','CObJournalVoucher','CObQuotation'));
    // }
}
