@extends('layouts.master_user')
@section('page-title')
Terms & Conditions / Approval Voucher
@endsection
@section('css')
<style>
    .top {
        margin-top: 22px;
    }
</style>

@endsection
@section('master')
active
@endsection
@section('term-condition')
active
@endsection
@section('term-condition-approval-voucher')
active
@endsection
@section('content')
{{--
@section('page-breadcrumb')
<li>
    <a href="{{url('/')}}">Dashboard</a>
</li>
<li class="active">
    <strong>Customer Master</strong>
</li>
@endsection--}}

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Add Customers</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
        </div> --}}
        <div class="ibox-content">
            <form class="form-horizontal" method="POST" action="/masters/terms-and-conditions/approval-voucher" enctype="multipart/form-data">
                @csrf
                <div class="form-group">
                    <div class="col-sm-12">
                        <label for="terms-conditions">Terms & Conditions</label>
                        <textarea name="terms_and_conditions" id="terms_and_conditions" class="form-control summernote" cols="30" rows="5" placeholder="Terms & Conditions" required></textarea>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-12">
                        <button class="btn btn-primary pull-right" type="submit">Save Terms & Conditions</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection

@section('js')
<script>
    $(document).ready(function() {
        
        $('#terms_and_conditions').summernote({
            height: 300,
            toolbar: [
                ['style', ['bold', 'italic', 'underline', 'clear']],
                ['font', ['strikethrough', 'superscript', 'subscript']],
                ['fontsize', ['fontsize']],
                ['color', ['color']],
                ['para', ['ul', 'ol', 'paragraph']],
                ['height', ['height']]
            ],
            popover: {
                image: [],
                link: [],
                air: []
            },
        });
    });
</script>
@endsection
